Copy for LLM[View as Markdown](https://docs.planet.com/develop/apis/tasking/archive_tasking/) # Tasking Archive Archive orders are used to request high-resolution collects that are already in the archive (for example, SkySatCollect). After an Archive order is created, the capture containing the requested high-resolution collects is populated. The requested collects and related scenes can be downloaded using the usual flow, similar to regular tasking orders. note Archive orders captures cannot be the target of Capture Review. Archive orders cannot be edited or cancelled. ## Prerequisites to Archive Order Creation Before creating an Archive order, you must have a list of desired high-resolution collects that intersect with the requested geometry. To retrieve a list of collects (for example, SkySatCollect), use the following request to the Data API: * CURL ``` curl --request POST --url 'https://api.planet.com/data/v1/quick-search' \ --header 'Accept: application/json' \ --header "Authorization: api-key $PL_API_KEY" \ --header 'Content-Type: application/json' \ --data '{ "filter": { "type": "AndFilter", "config": [ { "type": "GeometryFilter", "field_name": "geometry", "config": { "type": "Point", "coordinates": [ 47.817578706298946, 22.0761858843631 ] } }, { "type": "DateRangeFilter", "field_name": "acquired", "config": { "gte": "2023-10-30T14:17:21.376Z", "lte": "2024-10-30T14:17:21.377Z" } } ] }, "item_types": [ "SkySatCollect" ] }' ``` ## Archive Order Creation The creation of a Archive order is done using a POST request to the Tasking API /orders endpoint. Create an Archive order using the following request example: * CURL ``` curl --request POST --url 'https://api.planet.com/tasking/v2/orders/' \ --header 'Accept: application/json' \ --header "Authorization: api-key $PL_API_KEY" \ --header 'Content-Type: application/json' \ --data '{ "name": "Archive Order 01", "geometry": { "type": "Point", "coordinates": [ 50.919139, 34.814306 ] }, "requested_items": [ {"item_id": "item_id_1", "item_type": "SkySatCollect"}, {"item_id": "item_id_2", "item_type": "SkySatCollect"} ], "product": "Archive Tasking", "pl_number": "$PL_CONTRACT_NUMBER" } ``` The `requested_items` field should contain a list of items that you want to be included in the Archive order. Each item should be specified with its `item_id` and `item_type`. Currently, the supported item types are `PelicanScene`, `SkySatCollect`, `TanagerMethane`, and `TanagerScene`. The items need to be available in Archive and intersect with the geometry of the order. warning The `requested_item_ids` field is deprecated and will be removed in a future version. Please use the `requested_items` field instead. ### TanagerMethane and TanagerScene Archive Order Example When requesting `TanagerMethane` items, you must include the corresponding `TanagerScene` items in the request. This is required because `TanagerMethane` data is derived from and directly linked to `TanagerScene` imagery. Here is an example of how to create an archive order for both `TanagerScene` and its corresponding `TanagerMethane` product: * CURL ``` curl --request POST --url 'https://api.planet.com/tasking/v2/orders/' \ --header 'Accept: application/json' \ --header "Authorization: api-key $PL_API_KEY" \ --header 'Content-Type: application/json' \ --data '{ "name": "Tanager Methane Archive Order", "geometry": { "type": "Point", "coordinates": [ -105.1634, 39.7420 ] }, "requested_items": [ {"item_id": "20231115_190722_44_4001", "item_type": "TanagerScene"}, {"item_id": "20231115_190722_44_4001", "item_type": "TanagerMethane"} ], "product": "Archive Tasking", "pl_number": "$PL_CONTRACT_NUMBER" }' ```